## org.h2.test.store
Class TestMapFactory

    java.lang.Object
      org.h2.test.store.TestMapFactory

All Implemented Interfaces:
  MapFactory

    public class TestMapFactory

extends java.lang.Object
implements MapFactory

A data type factory.

Constructor Summary
`TestMapFactory()`

Method Summary
`DataType` `buildDataType(java.lang.String s)` Parse the data type.

`

`<K,V> MVMap<K,V>`

`

`buildMap(java.lang.String mapType, MVStore store, int id, java.lang.String name, DataType keyType, DataType valueType, long createVersion)`
Build a map.

`java.lang.String` `getDataType(java.lang.Class<?> objectClass)` Get the data type object for the given class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestMapFactory

    public TestMapFactory()

Method Detail

### buildMap

    public <K,V> MVMap<K,V> buildMap(java.lang.String mapType,
                                     MVStore store,
                                     int id,
                                     java.lang.String name,
                                     DataType keyType,
                                     DataType valueType,
                                     long createVersion)

  Description copied from interface: `MapFactory`
  Build a map.

  Specified by:
    `buildMap` in interface `MapFactory`
  Parameters:
    `mapType` - the map type and type specific meta data
    `store` - the store
    `id` - the unique map id
    `name` - the map name
    `keyType` - the key type
    `valueType` - the value type
    `createVersion` - when the map was created
  Returns:
    the map

### buildDataType

    public DataType buildDataType(java.lang.String s)

  Description copied from interface: `MapFactory`
  Parse the data type.

  Specified by:
    `buildDataType` in interface `MapFactory`
  Parameters:
    `s` - the string and type specific meta data
  Returns:
    the type

### getDataType

    public java.lang.String getDataType(java.lang.Class<?> objectClass)

  Description copied from interface: `MapFactory`
  Get the data type object for the given class.

  Specified by:
    `getDataType` in interface `MapFactory`
  Parameters:
    `objectClass` - the class
  Returns:
    the data type object